Duplicate Hosted Agent
Duplicate a hosted agent’s code and optionally secrets and storage.
The source agent is read from its actual owner. The duplicate is created under
the personal account or the team from the X-Team request header.
Profile data must be registered separately via the hub API.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
address
Query parameters
no_cache
Request
This endpoint expects an object.
include_secrets
Whether to copy secrets from the source agent to the duplicate.
include_storage
Whether to copy storage from the source agent to the duplicate.
Response
Successful Response
address
Bech32 address of the agent.
running
Whether the agent is currently running.
compiled
Whether the agent code has been compiled.
code_digest
Digest of the agent's code.
wallet_address
Wallet address of the agent.
code_update_timestamp
Last time the code was updated.
creation_timestamp
Time when the agent was created.
revision
Revision number of the agent.
metadata
Metadata associated with the agent.
Errors
422
Unprocessable Entity Error